//fileview.h

#ifndef FILEVIEW_H
#define FILEVIEW_H

#include <qlistview.h>
#include <qurlinfo.h>
#include <qvaluelist.h>
#include <qurloperator.h>
#include <qpopupmenu.h>

class FileView : public QListView
{
  Q_OBJECT
  
 public:
  FileView(QWidget *parent=0);
  QValueList<QUrlInfo> selectedItems() const;
  QValueList<QUrlInfo> selectedItemsForDel() const;
   
 public slots:
  void slotInsert(const QValueList<QUrlInfo> &);
};

class FileViewPopup : public QPopupMenu 
{
  Q_OBJECT
   
 public:
  FileViewPopup(QWidget *parent = 0, const char *name = 0);
};

#endif
