#ifndef FILEVIEWITEM_H
#define FILEVIEWITEM_H

#include <qlistview.h>
#include <qurlinfo.h>

class FileViewItem : public QListViewItem
{
 public:
  FileViewItem(QListView *parent, const QUrlInfo &i);
  FileViewItem(QListView *parent, const QString n);
  QUrlInfo entryInfo() { return info; }
  int compare(QListViewItem *, int, bool ascending) const;
  const QPixmap* pixmap(int) const;
 private:
  QUrlInfo info;
};

#endif
