// stylepopupmenu.h
#ifndef STYLEPOPUPMENU_H
#define STYLEPOPUPMENU_H

#include "qpopupmenu.h"
class QPalette;
class QFont;
class QMenuBar;


class StylePopupMenu : public QPopupMenu
{
  Q_OBJECT
private:
  QFont _appFont;
  QPalette _appPalette;

public:
  StylePopupMenu( QWidget *parent = 0, const char *name = 0 );
public slots:
  
  void slot_setWindowsStyle();
  void slot_setPlatinumStyle();
  void slot_setCDEStyle();
  void slot_setMotifStyle();
  void slot_setWoodStyle();
  void slot_setStoneStyle();
  void slot_setSgiStyle();
  

};

#endif
