#include "errorandpic.h"

char* ErrorMess::getErrorCode(int error) {
  return errorCode[error];
}

char* ErrorMess::getErrorMess(int error) {
  return errorCode[error];
}

char* ErrorMess::errorCode[] = {"NoError", "ErrValid", "ErrUnknownProtocol", "ErrUnsupported", "ErrParse", "ErrLoginIncorrect", "ErrHostNotFound","ErrListChildren", "ErrMkDir", "ErrRemove", "ErrRename", "ErrGet", "ErrPut", "ErrFileNotExisting","ErrPermissionDenied"};

char* ErrorMess::errorMess[] = {"No error occurred.", "The URL you are operating on is not valid.", "There is no protocol implementation available for the protocol of the URL you are operating on (e.g. if the protocol is http and no http implementation has been registered).", "The operation is not supported by the protocol.", "Parse error of the URL.", "You needed to login but the username and/or password are wrong.", "The specified host (in the URL) couldn't be found.", "An error occurred while listing the children (files).", "An error occurred when creating a directory.", "An error occurred when removing a child (file).", "An error occurred when renaming a child (file).", "An error occurred while getting (retrieving) data.", "An error occurred while putting (uploading) data.", "A file which is needed by the operation doesn't exist.", "Permission for doing the operation has been denied."};


char** Pic::getPic(int pic) {
  switch(pic) {
  case 1:
    return computer;
    break;
  case 2:
    return right;
    break;
  case 3:
    return left;
    break;
  }
  return 0;
}

char* Pic::computer[] = {
"48 48 887 2",
"lm c #020404",
"js c #3b4242",
"df c #3c586a",
"lH c #758080",
"fd c #030404",
"kU c #778080",
"#n c #4b6576",
"lA c #3f4242",
"#9 c #4c6576",
"kD c #798080",
"kn c #404242",
"iz c #d4d9d9",
"fX c #2a3433",
"bh c #4d6576",
"dQ c #1f2727",
"bC c #5a7282",
"cd c #202727",
"bR c #596565",
"l# c #b5bebe",
"j2 c #7c8080",
"ju c #5b6565",
"hD c #b6bebe",
"jE c #b7bebe",
"lE c #b8bebe",
"iZ c #5e6565",
"eq c #99a3a3",
"ag c #96a0a5",
"k# c #a6b0af",
"gB c #9ba3a3",
"d2 c #1d394e",
"by c #495458",
"fr c #080c0c",
"e# c #78858a",
"#c c #363d3e",
"ay c #385366",
".# c #0b0c0c",
"bG c #466072",
"gZ c #8b9594",
"av c #476072",
"jO c #808888",
"ki c #818888",
"aT c #556d7e",
".5 c #505d63",
"cQ c #272f2f",
"fu c #6d7a79",
"lk c #626d6d",
"f3 c #6e7a79",
"hC c #bec6c6",
"iN c #bfc6c6",
"#d c #2d2f2f",
"hG c #aeb8b7",
"fT c #475252",
"eS c #a2abab",
"jx c #6a6d6d",
"gy c #a3abab",
"fZ c #485252",
"cx c #354855",
"#X c #afb8b7",
"gO c #111414",
"## c #748086",
"dm c #121414",
"#q c #405b6e",
"dc c #415b6e",
"aK c #131414",
"#B c #859090",
"#i c #3e4b53",
"bS c #2d3737",
".W c #889090",
"lh c #959d9c",
"bg c #51687a",
"ly c #020605",
"eL c #abb4b6",
"f6 c #c6cece",
"hS c #c7cece",
"fJ c #343737",
"fq c #131c1c",
"h6 c #141c1c",
".l c #6f7575",
"jv c #222928",
"g. c #aab3b3",
"dg c #203c52",
"lq c #abb3b3",
"cb c #505a5a",
"#x c #2d495e",
"jo c #515a5a",
"iV c #acb3b3",
"#U c #2e495e",
"h2 c #525a5a",
"fo c #8e9898",
"kw c #9ba5a4",
".L c #8f9898",
"aH c #353f3f",
"aM c #3d4f5a",
"i6 c #000101",
"ij c #393f3f",
"ej c #475968",
"kL c #010101",
"jr c #737d7d",
"i0 c #3a3f3f",
"e8 c #919ea5",
"cy c #476273",
".1 c #5c6365",
".q c #a3aeaf",
".n c #828a89",
"kr c #d2d6d6",
"hR c #777d7d",
"dR c #1c2424",
"#z c #68767e",
"gC c #b2bbbb",
"ak c #1e2424",
"iX c #596262",
"jD c #b5bbbb",
"ed c #3b5464",
"dz c #94a0a0",
"g# c #96a0a0",
"ld c #97a0a0",
"gl c #030909",
"jZ c #050909",
"jd c #99a0a0",
"h5 c #3e4747",
"cH c #274357",
"k. c #a6adac",
"is c #9aa0a0",
"hn c #4b5453",
"af c #284357",
"#u c #345063",
"dh c #1d364b",
"#Q c #435d6f",
"#k c #475762",
"cX c #455d6f",
"ao c #516a7b",
"cR c #242c2c",
"#4 c #5f7787",
"k4 c #5e6a6a",
"lo c #818585",
"cJ c #243f56",
"aP c #617787",
"hQ c #bbc3c3",
"kH c #616a6a",
"i9 c #bcc3c3",
"h4 c #636a6a",
"fl c #9ca8a8",
"iA c #9da8a8",
"ib c #aab5b4",
"gf c #444f4f",
"fc c #0c1111",
"iS c #a1a8a8",
"#G c #3f525e",
"#w c #2f4b5f",
"jG c #a2a8a8",
"dq c #3d586b",
"bI c #3e586b",
"kW c #8f9a99",
"d9 c #858d8d",
"bz c #445b69",
"bv c #2b3434",
"gg c #2c3434",
"fa c #677272",
"#f c #373e42",
"ia c #c3cbcb",
"eC c #617581",
"jV c #697272",
"hV c #c4cbcb",
"kY c #c5cbcb",
"io c #323434",
".Y c #6c7272",
".M c #a5b0b0",
"lX c #121919",
"e0 c #a6b0b0",
"eE c #4f6474",
"#V c #2a465b",
"gI c #4e5757",
"aB c #2b465b",
"iO c #aab0b0",
"cY c #385367",
"aD c #233c4d",
"kk c #899595",
"j3 c #b8bdbc",
"jU c #8a9595",
"ih c #515757",
"c6 c #96a2a1",
".P c #181919",
"cO c #97a2a1",
"a. c #476073",
"#b c #8b9595",
"kC c #8c9595",
"hY c #98a2a1",
".x c #535757",
"#e c #8e9595",
"gc c #6e7a7a",
"cL c #1e384c",
"hb c #707a7a",
"cT c #586062",
"bH c #445f70",
"hH c #ccd3d3",
"aW c #465f70",
"aN c #526c7c",
"jf c #737a7a",
"do c #424f55",
"eO c #192121",
"d4 c #abb5ba",
"aF c #aeb8b8",
".Q c #757a7a",
"l. c #afb8b8",
"cI c #254157",
"kT c #b0b8b8",
"cZ c #324e63",
"bp c #264157",
"cr c #b1b8b8",
"az c #334e63",
"d5 c #919d9d",
".r c #929d9d",
"hs c #9faaa9",
"hP c #000606",
"hz c #010606",
"je c #969d9d",
"lL c #030606",
"ir c #979d9d",
"fG c #040606",
"a# c #3e5a6c",
"gP c #050606",
"gG c #838f8e",
"#R c #3f5a6c",
"jQ c #798282",
"i1 c #404444",
"cj c #4d6778",
"i# c #d5dbdb",
"eF c #425a6c",
"b1 c #4e6778",
"gt c #7b8282",
"#3 c #5b7484",
"dA c #212929",
"#6 c #5c7484",
"bb c #5e7484",
"ku c #b8c0c0",
".s c #252929",
"aE c #95a2a7",
"c. c #283f51",
"lz c #282929",
"dT c #616767",
".p c #9aa5a5",
"jk c #9ba5a5",
"eU c #a7b2b1",
"ll c #080e0e",
"kZ c #9ca5a5",
"lr c #9ea5a5",
"cF c #2c485c",
"kO c #abb2b1",
"dW c #395568",
"aJ c #0c0e0e",
"aa c #3a5568",
"#1 c #4e565a",
"lY c #474c4c",
"ji c #808a8a",
"cz c #486274",
"eG c #3d5568",
"cB c #496274",
"e4 c #a3aeb0",
"ec c #415866",
"ck c #4a6274",
"#J c #566f80",
"cc c #283131",
".y c #838a8a",
"aI c #293131",
"au c #586f80",
"aq c #667c8c",
"hy c #656f6f",
"hq c #c0c8c8",
"ik c #666f6f",
"kt c #c2c8c8",
"eR c #2e3131",
"lt c #747c7b",
".k c #686f6f",
"bZ c #556e7d",
"hi c #6a6f6f",
"e2 c #a3adad",
"eX c #a4adad",
"dX c #335064",
"a1 c #274358",
"i4 c #4b5454",
"a8 c #121616",
"jY c #586160",
"i8 c #a7adad",
"ab c #355064",
"#p c #425d70",
"h# c #889292",
"kb c #899292",
"iL c #505454",
".6 c #4c5a61",
"bu c #2f3939",
"j1 c #525454",
"li c #6c7777",
"ko c #9a9f9e",
"hw c #333939",
"fP c #798483",
".8 c #455660",
".c c #353939",
"lu c #7b8483",
"an c #3f4c52",
".X c #707777",
"j6 c #d8dddc",
"hO c #171e1e",
".C c #abb5b5",
"c5 c #acb5b5",
"c1 c #223e54",
"bd c #5f7685",
"lQ c #adb5b5",
"f0 c #525c5c",
"c0 c #2f4b60",
"cK c #233e54",
"b6 c #304b60",
"#0 c #1a1e1e",
"lD c #afb5b5",
"la c #606968",
"dP c #8d9a9a",
"f# c #8e9a9a",
".0 c #626968",
".N c #909a9a",
"fY c #374141",
"d3 c #394e5e",
".I c #929a9a",
"gJ c #444e4d",
"#Z c #384141",
"#l c #526876",
"iK c #000303",
"l0 c #010303",
"#S c #3b5769",
"ke c #757f7f",
".h c #0f100f",
".g c #030303",
"jR c #767f7f",
"fI c #3e4141",
"#h c #3a474e",
".v c #323435",
"kq c #d3d8d8",
"e3 c #a5b0b1",
"aV c #4c6475",
"aO c #587181",
".J c #909997",
"jB c #d4d8d8",
"dl c #1e2626",
"ex c #a7b0b1",
"be c #5a7181",
"kN c #7b7f7f",
"eu c #b4bdbd",
"d1 c #1e3950",
"bU c #202626",
"lP c #b5bdbd",
"bn c #2b465c",
"ce c #232626",
"km c #252626",
"gk c #050b0b",
".F c #99a2a2",
"gn c #060b0b",
"lO c #a7afae",
"dL c #294559",
"#t c #365265",
"cV c #445f71",
"#P c #455f71",
"jS c #7e8787",
"dO c #9ca8af",
"cw c #727a7b",
"cl c #465f71",
"b0 c #536c7d",
"ct c #262e2e",
"bA c #556c7d",
".A c #aeb8b9",
"gH c #616c6c",
"#5 c #637989",
"g3 c #bdc5c5",
"ie c #2a2e2e",
"hZ c #6f7978",
"dN c #1f374a",
"lc c #bfc5c5",
"hr c #cbd2d1",
"a2 c #20374a",
"dU c #869092",
"bQ c #9faaaa",
".Z c #666c6c",
"kf c #a0aaaa",
"iJ c #0c1313",
"gU c #676c6c",
"fg c #a1aaaa",
"cM c #485e6e",
".B c #adb7b6",
"gz c #a2aaaa",
"#A c #aeb7b6",
"bm c #314d61",
".U c #a3aaaa",
"dp c #3e5a6d",
"ac c #324d61",
"fs c #8f9c9b",
"d6 c #838f8f",
"aX c #405a6d",
".t c #121313",
"jN c #919c9b",
"lg c #929c9b",
"iU c #878f8f",
"ey c #9ca6a9",
"fV c #2d3636",
"gL c #2e3636",
"gR c #020504",
"f5 c #b8c0c1",
"hM c #313636",
"hT c #c6cdcd",
"cv c #333636",
"gE c #a7b2b2",
"gh c #131b1b",
"dv c #1f3b51",
"du c #203b51",
"aA c #2c485d",
"jI c #abb2b2",
"d0 c #2d485d",
"jt c #535959",
"dy c #98a4a3",
"jj c #8d9797",
"lS c #707c7c",
"gq c #0a0d0c",
"dI c #385466",
"hv c #717c7c",
"gr c #c0c8c9",
"kd c #393e3e",
"#o c #466172",
".2 c #5a6264",
".f c #000000",
"lR c #747c7c",
"#I c #546e7e",
"jC c #d0d5d5",
"em c #1b2323",
"bD c #566e7e",
"b# c #415764",
".m c #767c7c",
"lN c #777c7c",
"gD c #b0baba",
".4 c #525e63",
"kv c #b1baba",
"bL c #284359",
"aQ c #657b8a",
"fM c #1f2323",
"h. c #939f9f",
"eB c #6b7e88",
"eY c #a1acab",
"kc c #969f9f",
"hX c #a2acab",
"hg c #020808",
"jL c #979f9f",
"gm c #030808",
"br c #adb6b9",
"#T c #334f62",
"db c #405c6e",
"lj c #404646",
"gV c #798484",
"da c #415c6e",
"al c #070808",
".9 c #455661",
"lw c #414646",
"j0 c #080808",
"jW c #7a8484",
"aw c #425c6e",
"kx c #879190",
"iC c #7c8484",
"i. c #d9dddd",
"cu c #232b2b",
"lW c #5d6969",
"f8 c #b9c2c2",
"eg c #233e55",
"j8 c #bac2c2",
"eI c #304b61",
"fL c #272b2b",
".S c #afb5b6",
"h8 c #bcc2c2",
"k6 c #292b2b",
"fk c #9ba7a7",
"ky c #9ca7a7",
"go c #091010",
".D c #a9b4b3",
"lJ c #434e4e",
"lG c #9ea7a7",
"i5 c #0a1010",
"es c #aab4b3",
"d# c #4e585c",
"bK c #2e4a5e",
".R c #a0a7a7",
"dF c #3b576a",
"hx c #474e4e",
"ax c #3c576a",
"b5 c #3d576a",
"jh c #828c8c",
"fi c #9aa6a4",
"fe c #494e4e",
"k2 c #838c8c",
"b2 c #4c6476",
"bT c #2a3333",
"lf c #868c8c",
"gK c #37403f",
"#L c #5a7182",
"eA c #839299",
"hK c #2d3333",
"fv c #667171",
"iH c #3a403f",
"iD c #2e3333",
"hB c #c2caca",
"cg c #33434e",
"ho c #c3caca",
"kS c #c4caca",
"jg c #767e7d",
"eb c #637480",
"fF c #101818",
"eW c #a4afaf",
"e. c #98a2a3",
"il c #111818",
"e1 c #a5afaf",
"ei c #1c384e",
"aC c #29455a",
"jb c #a8afaf",
"hN c #596362",
"ef c #2a455a",
".3 c #566064",
"iP c #a9afaf",
"ii c #4e5656",
"dt c #375266",
"hm c #4f5656",
"bV c #161818",
"dk c #95a1a0",
".j c #505656",
"gY c #8a9494",
"ls c #8b9494",
"lM c #535656",
"a6 c #313b3b",
"f4 c #3e4847",
"eD c #5a6f7c",
"c3 c #1d374b",
"hh c #bdc5c6",
"e9 c #8e9aa1",
".b c #2b2e2f",
"lv c #717979",
"fH c #383b3b",
"ks c #cdd2d2",
"en c #172020",
"ge c #525e5e",
"ap c #607887",
"lC c #aeb7b7",
"bN c #244056",
"fD c #545e5e",
"dY c #314d62",
"b8 c #254056",
"bc c #627887",
"j# c #b0b7b7",
"iu c #b1b7b7",
"eM c #8f9c9c",
"kE c #9fa9a8",
"im c #000505",
"aj c #394343",
"#C c #3a4343",
".V c #959c9c",
"fQ c #758181",
"eQ c #030505",
"fx c #768181",
"#r c #3e596b",
"bk c #3f596b",
"ci c #4c6677",
"ix c #d4dada",
"gu c #798181",
"fW c #1e2828",
"j4 c #d5dada",
"d. c #868e8d",
"c9 c #202828",
"#K c #5b7383",
"hF c #b7bfbf",
"fp c #5c6666",
"ja c #b9bfbf",
"ep c #252828",
"#j c #42525b",
"k1 c #6b7372",
"i3 c #5f6666",
"iB c #99a4a4",
"g8 c #a6b1b0",
"fn c #9aa4a4",
"bx c #616666",
"aL c #828a8c",
"it c #9da4a4",
"hd c #424b4b",
"hl c #434b4b",
"cp c #203a4f",
"k8 c #9fa4a4",
"hk c #444b4b",
"aY c #395467",
"dH c #3a5467",
"cf c #808989",
"bi c #486173",
".o c #8c9695",
"bF c #496173",
"#M c #556e7f",
"j5 c #dde2e2",
"h9 c #dee2e2",
"lB c #909695",
"gd c #626e6e",
"gT c #bec7c7",
"bP c #b2babb",
"as c #657b8b",
"lZ c #2b3030",
"f7 c #bfc7c7",
"c# c #b3babb",
"fK c #2c3030",
"iG c #666e6e",
"eK c #536471",
"a3 c #9da9ae",
"g5 c #aeb9b8",
"gs c #696e6e",
"gi c #0e1515",
"dj c #a2acac",
"#g c #384349",
"lT c #0f1515",
"gA c #a3acac",
"gp c #101515",
"bM c #264257",
"kK c #111515",
"j9 c #a5acac",
"b7 c #274257",
"hJ c #4b5353",
"aZ c #344f63",
"#. c #445662",
"j. c #a7acac",
"hu c #929e9d",
"gX c #879191",
"fz c #939e9d",
"cm c #435c6f",
"jM c #959e9d",
"#8 c #51697b",
"jc c #969e9d",
"a5 c #6b7676",
"jq c #343838",
"kR c #c9cfcf",
"a9 c #353838",
"#N c #4e6878",
"iy c #d6dcdb",
"fE c #141d1d",
"k5 c #161d1d",
"g6 c #aab4b4",
"#m c #516878",
"er c #abb4b4",
"c2 c #213d53",
"at c #5e7584",
"eh c #223d53",
"dZ c #2e4a5f",
".T c #acb4b4",
"jH c #adb4b4",
"kV c #535b5b",
"kB c #aeb4b4",
"kj c #5f6867",
"jT c #828c8d",
"fB c #8e9999",
"fj c #9ba6a5",
"dD c #8f9999",
"jK c #909999",
"gj c #080f0e",
"eT c #a8b3b1",
"lF c #9ea6a5",
"jX c #394040",
"in c #000202",
"aG c #727e7e",
"gQ c #010202",
"co c #3b5668",
"gW c #747e7e",
"#Y c #808b8a",
"cA c #496374",
".d c #303334",
".w c #3d4040",
"#E c #3e4040",
"i7 c #3f4040",
"d7 c #1d2525",
"dV c #374c5a",
"#7 c #587080",
"hE c #b4bcbc",
"bw c #202525",
"ae c #2a455b",
"if c #5a6363",
"cN c #b5bcbc",
"ar c #687d8c",
"i2 c #67706f",
".e c #161819",
".u c #232525",
"dn c #96a1a1",
"jl c #97a1a1",
"hf c #040a0a",
"cP c #3e4848",
"eo c #070a0a",
"el c #798686",
"dK c #355164",
"k3 c #414848",
"iQ c #a8aead",
"eH c #375164",
"cU c #435e70",
"#D c #090a0a",
"lV c #889392",
"gb c #7c8686",
"bj c #445e70",
"cW c #455e70",
"bX c #344149",
"ba c #516b7c",
"jz c #dadfdf",
"bf c #536b7c",
"jA c #dbdfdf",
"c7 c #252d2d",
"kJ c #5f6b6b",
"kP c #bcc4c4",
"kg c #bdc4c4",
"f1 c #626b6b",
"dE c #3a4a54",
".O c #292d2d",
"k0 c #6f7877",
"ff c #646b6b",
".z c #9ea9a9",
"lK c #0b1212",
"aR c #5f7785",
"ah c #acb6b5",
"Qt c None",
"cs c #465050",
"iR c #a2a9a9",
"#v c #304c60",
"jF c #a3a9a9",
"cn c #3f596c",
"b. c #6b7476",
"cD c #40596c",
"a7 c #2b3535",
"bW c #878e8e",
"fO c #677373",
"f2 c #697373",
"e7 c #93a1a7",
"hU c #c5cccc",
"dC c #3d4241",
".i c #323535",
"j7 c #c7cccc",
"eV c #a6b1b1",
"eP c #121a1a",
"cq c #354b5d",
"bB c #597281",
"dM c #1e3a50",
"#a c #a8b1b1",
"g2 c #a9b1b1",
"#y c #2b475c",
"ad c #2c475c",
"ds c #395468",
"ez c #93a0a4",
"ka c #98a3a2",
"fC c #8d9696",
"ea c #72828b",
"dJ c #365365",
"kA c #7c8887",
"eN c #707b7b",
"di c #828f97",
"iE c #383d3d",
"ha c #7d8887",
"kF c #7e8887",
"kl c #666e6f",
"kQ c #ced4d4",
"cC c #476071",
"lU c #3b3d3d",
"fb c #192222",
"#2 c #546d7d",
"d8 c #1a2222",
"dB c #1b2222",
"f9 c #b0b9b9",
"fS c #556060",
"dS c #1c2222",
"eJ c #1b354c",
"ev c #b1b9b9",
"k9 c #bec6c5",
"iM c #b2b9b9",
"bq c #20384a",
"id c #596060",
"fA c #929e9e",
".7 c #495961",
"g9 c #9fabaa",
"gF c #939e9e",
"ic c #949e9e",
"eZ c #a0abaa",
"gw c #959e9e",
"e5 c #9ea8ac",
"et c #adb8b6",
"ek c #aab5b8",
"gS c #020707",
".G c #969e9e",
"ee c #324e61",
"dw c #1b3449",
"lb c #84908f",
"de c #405b6d",
"fy c #85908f",
"b4 c #415b6d",
"ai c #798383",
"bY c #4e6879",
"dd c #435b6d",
"k7 c #434545",
"cS c #212a2a",
"aU c #506879",
"#F c #707677",
"c8 c #222a2a",
"am c #7d8383",
"ip c #7e8383",
"gM c #232a2a",
"fR c #697574",
"iW c #b9c1c1",
"h0 c #313736",
"ig c #323736",
"#W c #7d8990",
"kp c #c8cecd",
"iv c #bcc1c1",
"hL c #616868",
"fm c #9aa6a6",
"ca c #9ba6a6",
"g7 c #a8b3b2",
"fh c #9ca6a6",
"lx c #090f0f",
"he c #151c1b",
"gx c #9da6a6",
"jw c #0a0f0f",
"lp c #9fa6a6",
"fN c #444d4d",
"a0 c #2d495d",
"kz c #515a59",
"hc c #454d4d",
"dG c #3a5669",
"kI c #474d4d",
"#s c #3c5669",
"h1 c #484d4d",
"dr c #3d5669",
"#O c #496375",
"ch c #4a6375",
"kh c #838b8b",
"jP c #777e7f",
".K c #8f9897",
"kM c #4b4d4d",
"aS c #597081",
"bt c #647070",
"lI c #657070",
"hp c #c1c9c9",
"hj c #687070",
"bO c #243b4e",
"jy c #c5c9c9",
"bs c #a3aeae",
"c4 c #70808b",
".E c #a4aeae",
"g4 c #b1bbba",
"f. c #a2abb0",
"kX c #b2bbba",
"g1 c #a6aeae",
"bo c #284459",
"iq c #a7aeae",
"cG c #294459",
"cE c #355165",
"iY c #202423",
"bl c #365165",
"kG c #889393",
"hI c #94a09f",
"b3 c #445e71",
"ga c #899393",
"gv c #8a9393",
"le c #8b9393",
"iT c #8c9393",
"iI c #333a3a",
"fw c #6c7878",
"ft c #788584",
"bJ c #345062",
"jm c #6d7878",
"h3 c #343a3a",
"hA c #bcc4c5",
"hW c #cbd1d1",
"dx c #8e99a0",
"#H c #506a7a",
"jp c #717878",
"iw c #ccd1d1",
"bE c #526a7a",
"a4 c #acb6b6",
"gN c #191f1f",
"ew c #adb6b6",
"jJ c #aeb6b6",
"b9 c #243f55",
".a c #1c1f1f",
"iF c #565d5d",
"e6 c #98a5a9",
"jn c #909b9b",
"ht c #9ca8a7",
"ln c #5a5d5d",
"g0 c #9fa8a7",
"fU c #384242",
"h7 c #000404",
".H c #949b9b",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.a.b.c.c.d.eQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.f.f.f.f.f.g.h.i.j.k.l.m.n.o.p.q.q.r.sQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQt.t.u.v.w.w.w.x.y.z.A.B.C.D.E.F.G.H.I.J.K.L.F.M.N.OQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQt.P.Q.R.S.T.U.V.W.X.Y.Z.0.1.2.3.4.5.6.7.8.9#.###a#b#c.fQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQt#d#e#f#g#h#i#j#k#l#m#n#o#p#q#r#s#t#u#v#w#x#y#z#A#B#C#DQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQt#E#F#G#H#I#J#K#K#L#M#N#O#P#Q#R#S#t#T#w#U#y#V#W#X#Y#Z#0QtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQt.f.Q#1#N#2#3#4#5#5#6#7#8#9a.#Qa#aaabac#UadaeafagahaiajakalQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQt.famanao#Japaqarasatauao#9avawaxayaz#vaAaBaCaDaEaFaGaHaIaJQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtaKaLaMaNaOaParaQaRaSaTaUaVaWaXaYaZ#va0#VaCa1a2a3a4a5a6a7a8QtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQta9b.b#ba#7bbbcbdbebfbgbhbibjbkblbma0bnaCbobpbqbrbsbtbubvbw.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtbxbybz#8bAbBbCbDbEbhbFbGbH#QbIbJbK#VaCbLbMbNbObPbQbRbSbTbU.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtbVbWbX#nbYaobZb0b1b2avb3awb4b5ayb6#yaCbob7b8b9c.c#cacbbvcccd.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtcecfcgchcicj#N#9ckclcmcnb5cobl#v#yaCbLb7b8b9cpcqcr.FcsaIctcu.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtcvcwcxcyczczcAcBcCbjcDb5aYcEb6cFaCcGcHcIcJcKcLcMcNcOcPcQcRcS.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQt.f.lcTcUcVcV#PcWcXawcncocYcZc0#yaCbocHb8cJc1c2c3c4c5c6aHc7c8c9.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQt.fd.d#dadbdcawdddedfaablazbKadaCcGa1bpcJcKc2dgdhdidjdkbScuc9dl.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtdmdndodpdqb5dr#SdsdtaZ#v#xaBaCbocHb8cJc1c2dudvdwdxdydzc7dAdldB.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtdCdDdEdFdGdHdIdJdKac#vaA#yaCdLcHbpcJcKc2dgdvdMdNdOdzdPdAdQdRdS.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtdTdUdVdWaydKdXdY#vdZd0#yaCboa1b8bNcKc2dudvd1d2d3d4d5d6dQd7d8a8QtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtbVd9e.e#eaebecedee#wd0adefdLa1bpbNegehdgdvdMd2eiejekd5eld7emeneoQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtepeqc5ereseteuevewexeyezeAeBeCeDeEeFeGeHeIcGc2eJeKeLeMeNemeOePeQQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQteReSereseTeUeV.MeWeXeYeZeYe0e1e2e3e4e5e6e7e8e8e9f..Mf#fafbenfcfdQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQt.f.f.fbVfeff.kfgfhfifjfkflcafmfn.FcOc6dzdzd5d5eMf#fofpenfqfrQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.f.MfsftfufafvfwfxfyfzdkdkdzfAd5eMf#fBfCfDfEfFfGQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtfHfIfHfJfKfLfMfNfOfPfQfRfSfTfUfVdAeOd8fWfXfYfZf0f1f2f3f4fr.fQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQt.ff5f6f7f8f9g.fgg#gagbgcgdgegf#ZggcSfbghgigjgkglgmgngogpgq.f.f.f.fQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQt.fgrgsgtgugvfCgwgxgygzgAgBgCgDgEbQgFgGf3gHgIgJgKgLgMgNgO.#gPgQgRgS.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQt.fgTgUgVaigWgXgYgZg0g1g2gBg3g4g5a4g6g7g8.EeYg9flh.h#hahbhchdhehfhg.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQt.fhhhig#hjhkhlhmhn#XhohphqhrgDa4g6eT.MeXeYhsht.p.Fhuhvhwhxhyd8glhz.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQt.fhA.YhBhChDhEhFhGg3hphqhqhHgDerg7.M.EeYg9ht.p.FhIhJhKhLhMhNhOhghP.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQt.fhQhRhShThUhVhohohphqf7f7hWeweTg8eXhXhsfl.phYhZh0h1h2h3h4h5h6hzh7.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQt.ff8h8h9h9i.i#iahphqhqf7hChWibg8eWhXg9flfmicidieifigihiiijikilimin.fQtQtQtQtQtQt",
"QtQtQtQtQtQtQtioipiqirisitiuiviwixiyi#izhWhH.M.EhXhsiAiBiCiDiEiFfKiGiHihhyiIiJiK.f.fQtQtQtQtQtQt",
"QtQtQtQtQt.fiLiMiNiOiP.UiQiRiSiSiTiU.FiViWeueWhXg9iA.piXiYiZi0i1i2fKi3i4hkfpi5i6.fQtQtQtQtQtQtQt",
"QtQtQtQti7i8hWi9j.iVj#jahEgziPjbjcjdjejfjgjhjijj#bjkjljmjnjoiGjpjqjrjsjtjujvjw.fQtQtQtQtQtQtQtQt",
"QtQtQtjxjyjzjAjBjCi9jDjEjbjFjGjHjIjJjKjLjMjNjOgYjPjQh.d5gajRjSjTjUgVjVjWjXjYjZQtQtQtQtQtQtQtQtQt",
"QtQtQt.fj0j1j2j3j4j5j6f6j7j8#Xjej9jdk.k#kakbkcgukdkekfkgg6khkikji2gVjrkkkl.fQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtkmknkokpkqkrksktkukvj9kwkxjKkyfokzkAeXkBkCkDjFkEkFkGkHkIkJkKQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQt.fkLkMkNkOkPkQkRkSevkTeWkUkVkWkXkYc5kZjGk0k1k2kUk3k4k5eQQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtk6k7k8k9k9l.l#iNlalblcjEldlelflglhldliljlkbvlllmQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.fkLlnlolpg2eZg6ktgClqlrlsltlulvlwlicclxlyQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtlzlAlBlCewe1lDlElFlGlHljlIlJlKlLQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.f.flMlN.IlOlPlQlRlSgflTlmQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtkmlUiTewlVlWlXeQQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.f.flYlZl0QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"
};


char* Pic::right[] = {
"16 16 54 1",
"J c #5071df",
"X c #5c7aea",
"r c #b9e5ff",
"o c #8cb8f0",
"e c #9dcfff",
"I c #1c3ce5",
"j c #88a2f0",
"U c #0225fe",
"y c #7ca8f2",
"W c #7998e8",
"R c #2237d6",
"L c #3565ff",
"K c #5484ff",
"Z c #405dca",
"Y c #335bf1",
"T c #4963c6",
"F c #88b7ff",
"N c #2c4fee",
"n c #6277bb",
"a c #7989af",
"g c #6796ff",
"M c #325afa",
"w c #5d8efd",
"u c #b1d7f2",
"d c #6e85c5",
"E c #9fd2ff",
"v c #bcd9fe",
"m c #95c7ff",
"O c #264aeb",
"x c #687db8",
"A c #a1d0ff",
"C c #4c75e9",
"i c #76a6ff",
"D c #6d98f0",
"c c #7fafff",
"z c #ade2ff",
"b c #ccf0f2",
"q c #cdf6ff",
"B c #6d9bfa",
". c None",
"V c #495dbc",
"s c #bedbf5",
"P c #3964ff",
"k c #86b6ff",
"p c #e2ffff",
"H c #3e69fe",
"G c #6ca0ff",
"f c #a9deff",
"l c #8fbfff",
"Q c #062afb",
"t c #a2d0f0",
"S c #3b53cb",
"# c #7fa0e3",
"h c #97c8ff",
"................",
".........#a.....",
".........bcd....",
".........efgd...",
".........#heid..",
"aj##d#..akllmgn.",
"opqrsstuvkckklwx",
"yzmmhmeAmcccccBC",
"DEFkciiGccccigHI",
"JGKHLMNOPcciBLQx",
"aIRSTxaanBiBLUV.",
".........WgMUT..",
".........XLQT...",
".........YUT....",
".........Zn.....",
"................"
};

char* Pic::left[] = {
"16 16 46 1",
"L c #516dcd",
"x c #4574ff",
"I c #3a52d4",
"Q c #4c7dff",
"t c #e4f9ff",
"C c #2047fc",
"d c #7a8cbd",
"b c #d8e1f9",
"i c #94c4fa",
"# c #768bc0",
"u c #97cbff",
"z c #6a98f4",
"l c #7fa3e9",
"g c #9fd4ff",
"r c #82b5ff",
"F c #183ffb",
"v c #6f9fff",
"y c #2c56ff",
"h c #76a8ff",
"c c #e6eafa",
"D c #5f8bfa",
"q c #c3e6ff",
"N c #1639ef",
"s c #3056d8",
"j c #7fb1ff",
"f c #9fc6f1",
"P c #4867c9",
"H c #1d43f2",
"n c #76a6ff",
"p c #bbe4ff",
"k c #7eafff",
"m c #cedcfd",
"K c #5685ff",
"R c #0f3cff",
"a c #8fa6e9",
". c None",
"O c #1745ff",
"w c #83b1f5",
"B c #6377b8",
"o c #6797ff",
"e c #eeffff",
"E c #3462ff",
"M c #4b63c4",
"J c #1d4cff",
"G c #3b6bff",
"A c #273fd1",
"................",
".....#a.........",
"....abca........",
"...dcef.........",
"..deeghd........",
".#eeijk#.ada#al#",
"dmeinknolfppqprs",
"ftuknnvkiiwrhnxy",
"zrjnnvvvoovvooxA",
"BCDnvvnEFCyEGxEH",
".IJKovvLddMIANHM",
"..LOxovd......d.",
"...PFQK.........",
"....BRJ#........",
".....BN#........",
"................"
};
