//favouriteslistview.h
#ifndef FAVOURITESLISTVIEW_H
#define FAVOURITESLISTVIEW_H

#include <qlistview.h>
#include <qobject.h>

class QListViewItem;
class SettingsDialog;

class FavouritesListView : public QListView
{
 public:
  FavouritesListView(QWidget * parent = 0, const char * name = 0, WFlags f = 0 );
  void setReferens( SettingsDialog * );
  void erase();
  void save();
  void addGenre();
  void addHostName();
  void setPath( QString );
  void load();
 protected:
  void addGenre( const QString );
  void addHostName(const QString genre, const QString hostname, const QString nickname, const QString username, const QString password);

 private:
 SettingsDialog *_referens;
 QString _path;
};

#endif
