//filetransferlistviewitem.h
#ifndef FILETRANSFERLISTVIEWITEM_H
#define FILETRANSFERLISTVIEWITEM_H

#include <qlistview.h>
#include <qdatetime.h>

class QNetworkOperation;
class QString;

enum state { NotStarted, Running, Finished };

class FileTransferListViewItem : public QListViewItem
{

public:
  FileTransferListViewItem( QListView * parent = 0, QString filename = "file", int procent = 0, QString speed = "0 kb/s", QString bytesDone = "0 / 0", QString elapsedTime = "Not started", QString timeLeft = "Not started", QString finishtime = "Not started" );
  void updateInfo( int, int );
  bool equals( FileTransferListViewItem *);
  QString getName() { return _name; }
  state getState() { return _state; }
  void setFailed( const QString & );
private:
  QString _name;
  QTime _t;
  state _state;
};

#endif
